package com.huimv.environment.entity;

import javax.persistence.Entity;
import javax.persistence.Column;
import javax.persistence.GenerationType;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import java.sql.Timestamp;
import java.io.Serializable;
import javax.persistence.Id;
 
/**
 * 档案-猪舍信息
 */
@Entity
@Table(name = "base_pigpen")
public class BasePigpenEntity implements Serializable {

private static final long serialVersionUID = 1L;

/**
 * ID
 */
@Id
@GeneratedValue(strategy = GenerationType.IDENTITY)@Column(name = "ID", nullable = false)
private Integer ID;

/**
 * 牧场编号
 */
@Column(name = "MCID", nullable = false)
private Integer MCID;

/**
 * 猪舍名称
 */
@Column(name = "ZSMC")
private String ZSMC;

/**
 * 采食区1
 */
@Column(name = "CSQ1")
private String CSQ1;

/**
 * 采食区2
 */
@Column(name = "CSQ2")
private String CSQ2;

/**
 * 分离区
 */
@Column(name = "FLQ")
private String FLQ;

/**
 * 当前栏期
 */
@Column(name = "DQLQ")
private String DQLQ;

/**
 * 养殖阶段
 */
@Column(name = "YZJD")
private String YZJD;

/**
 * 管理员ID
 */
@Column(name = "GLY")
private Integer GLY;

/**
 * 管理员姓名
 */
@Column(name = "GLYXM")
private String GLYXM;

/**
 * 修改人
 */
@Column(name = "XGR")
private String XGR;

/**
 * 修改日期
 */
@Column(name = "XGSJ")
private Timestamp XGSJ;

/**
 * 作废标识
 */
@Column(name = "ZFBZ")
private Integer ZFBZ;

/**
 * 猪舍标志
 */
@Column(name = "ZSBZ")
private Integer ZSBZ;

/**
 * 所属区域
 */
@Column(name = "SSQY")
private Integer SSQY;

/**
 * 料槽标志 1-智能料槽 2-普通料槽
 */
@Column(name = "LCBZ")
private Integer LCBZ;

/**
 * 环控标志 1-智能环控 2-普通环控
 */
@Column(name = "HKBZ")
private Integer HKBZ;

/**
 * 置顶标志 0-不置顶 1-置顶
 */
@Column(name = "ZDBZ")
private Integer ZDBZ;

/**
 * 猪舍区域
 */
@Column(name = "ZSQY")
private Integer ZSQY;

/**
 * 视频监控
 */
@Column(name = "SPJK")
private String SPJK;

/**
 * ID
 */
public  void  setID(Integer ID) {
this.ID = ID;
}

/**
 * ID
 */
public Integer getID() {
return ID;
}

/**
 * 牧场编号
 */
public  void  setMCID(Integer MCID) {
this.MCID = MCID;
}

/**
 * 牧场编号
 */
public Integer getMCID() {
return MCID;
}

/**
 * 猪舍名称
 */
public  void  setZSMC(String ZSMC) {
this.ZSMC = ZSMC;
}

/**
 * 猪舍名称
 */
public String getZSMC() {
return ZSMC;
}

/**
 * 采食区1
 */
public  void  setCSQ1(String CSQ1) {
this.CSQ1 = CSQ1;
}

/**
 * 采食区1
 */
public String getCSQ1() {
return CSQ1;
}

/**
 * 采食区2
 */
public  void  setCSQ2(String CSQ2) {
this.CSQ2 = CSQ2;
}

/**
 * 采食区2
 */
public String getCSQ2() {
return CSQ2;
}

/**
 * 分离区
 */
public  void  setFLQ(String FLQ) {
this.FLQ = FLQ;
}

/**
 * 分离区
 */
public String getFLQ() {
return FLQ;
}

/**
 * 当前栏期
 */
public  void  setDQLQ(String DQLQ) {
this.DQLQ = DQLQ;
}

/**
 * 当前栏期
 */
public String getDQLQ() {
return DQLQ;
}

/**
 * 养殖阶段
 */
public  void  setYZJD(String YZJD) {
this.YZJD = YZJD;
}

/**
 * 养殖阶段
 */
public String getYZJD() {
return YZJD;
}

/**
 * 管理员ID
 */
public  void  setGLY(Integer GLY) {
this.GLY = GLY;
}

/**
 * 管理员ID
 */
public Integer getGLY() {
return GLY;
}

/**
 * 管理员姓名
 */
public  void  setGLYXM(String GLYXM) {
this.GLYXM = GLYXM;
}

/**
 * 管理员姓名
 */
public String getGLYXM() {
return GLYXM;
}

/**
 * 修改人
 */
public  void  setXGR(String XGR) {
this.XGR = XGR;
}

/**
 * 修改人
 */
public String getXGR() {
return XGR;
}

/**
 * 修改日期
 */
public  void  setXGSJ(Timestamp XGSJ) {
this.XGSJ = XGSJ;
}

/**
 * 修改日期
 */
public Timestamp getXGSJ() {
return XGSJ;
}

/**
 * 作废标识
 */
public  void  setZFBZ(Integer ZFBZ) {
this.ZFBZ = ZFBZ;
}

/**
 * 作废标识
 */
public Integer getZFBZ() {
return ZFBZ;
}

/**
 * 猪舍标志
 */
public  void  setZSBZ(Integer ZSBZ) {
this.ZSBZ = ZSBZ;
}

/**
 * 猪舍标志
 */
public Integer getZSBZ() {
return ZSBZ;
}

/**
 * 所属区域
 */
public  void  setSSQY(Integer SSQY) {
this.SSQY = SSQY;
}

/**
 * 所属区域
 */
public Integer getSSQY() {
return SSQY;
}

/**
 * 料槽标志 1-智能料槽 2-普通料槽
 */
public  void  setLCBZ(Integer LCBZ) {
this.LCBZ = LCBZ;
}

/**
 * 料槽标志 1-智能料槽 2-普通料槽
 */
public Integer getLCBZ() {
return LCBZ;
}

/**
 * 环控标志 1-智能环控 2-普通环控
 */
public  void  setHKBZ(Integer HKBZ) {
this.HKBZ = HKBZ;
}

/**
 * 环控标志 1-智能环控 2-普通环控
 */
public Integer getHKBZ() {
return HKBZ;
}

/**
 * 置顶标志 0-不置顶 1-置顶
 */
public  void  setZDBZ(Integer ZDBZ) {
this.ZDBZ = ZDBZ;
}

/**
 * 置顶标志 0-不置顶 1-置顶
 */
public Integer getZDBZ() {
return ZDBZ;
}

/**
 * 猪舍区域
 */
public  void  setZSQY(Integer ZSQY) {
this.ZSQY = ZSQY;
}

/**
 * 猪舍区域
 */
public Integer getZSQY() {
return ZSQY;
}

/**
 * 视频监控
 */
public  void  setSPJK(String SPJK) {
this.SPJK = SPJK;
}

/**
 * 视频监控
 */
public String getSPJK() {
return SPJK;
}

@Override
public String toString() {
return "BasePigpenEntity{" +
    "ID=" + ID + '\'' +
    "MCID=" + MCID + '\'' +
    "ZSMC=" + ZSMC + '\'' +
    "CSQ1=" + CSQ1 + '\'' +
    "CSQ2=" + CSQ2 + '\'' +
    "FLQ=" + FLQ + '\'' +
    "DQLQ=" + DQLQ + '\'' +
    "YZJD=" + YZJD + '\'' +
    "GLY=" + GLY + '\'' +
    "GLYXM=" + GLYXM + '\'' +
    "XGR=" + XGR + '\'' +
    "XGSJ=" + XGSJ + '\'' +
    "ZFBZ=" + ZFBZ + '\'' +
    "ZSBZ=" + ZSBZ + '\'' +
    "SSQY=" + SSQY + '\'' +
    "LCBZ=" + LCBZ + '\'' +
    "HKBZ=" + HKBZ + '\'' +
    "ZDBZ=" + ZDBZ + '\'' +
    "ZSQY=" + ZSQY + '\'' +
    "SPJK=" + SPJK + '\'' +
    '}';
}
}
