package com.huimv.environment.service.impl;

import com.huimv.common.result.Result;
import com.huimv.common.result.ResultCode;
import com.huimv.environment.entity.IndexEnvEntity;
import com.huimv.environment.repo.IndexEnvEntityRepo;
import com.huimv.environment.service.IndexEnvService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.environment.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/8 0008 14:59
 **/
@Service
public class IndexEnvServiceImpl implements IndexEnvService {
    
    @Autowired
    private IndexEnvEntityRepo entityRepo;

    @Override
    public Result add(IndexEnvEntity envEntity) {
        if (envEntity == null){
            return new Result(10002,"请输入参数",false);
        }
        try {
            entityRepo.save(envEntity);
            return new Result(10000,"添加成功",true);
        }catch (Exception e){
            return new Result(10001,"添加失败",false);
        }
    }

    @Override
    public Result remove(Integer[] ids) {
        if (ids == null || ids.length==0){
            return new Result(10002,"请选择要删除的数据",false);
        }
        try {
            for (Integer id : ids) {
                entityRepo.deleteById(id);
            }

            return new Result(10000,"删除成功",true);
        }catch (Exception e){
            return new Result(10001,"删除失败",false);
        }
    }

    @Override
    public Result update(IndexEnvEntity envEntity) {
        if (envEntity == null){
            return new Result(10002,"请选择要修改的值",false);
        }
        try {
            envEntity.setCreateTime(entityRepo.findById(envEntity.getId()).get().getCreateTime());
            envEntity.setUpdateTime(new Date());
            entityRepo.save(envEntity);
            return new Result(10000,"修改成功",true);
        }catch (Exception e){
            return new Result(10001,"修改失败",false);
        }
    }

    @Override
    public Result findAll() {
        try {
            List<IndexEnvEntity> all = entityRepo.findAll();
            return new Result(ResultCode.SUCCESS,all);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,null);
        }
    }
}
