package com.huimv.production.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.huimv.production.domain.IndexAllEntity;
import com.huimv.production.repo.IndexAllEntityRepository;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexAllService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/5 0005 17:43
 **/
@Service
public class IndexAllServiceImpl  implements IndexAllService {

    @Autowired
    private IndexAllEntityRepository repository;

    @Override
    public Result add(IndexAllEntity allEntity) {

        String day = DateUtil.format(new Date(), "MM/dd");
        IndexAllEntity byDay = repository.findByDay(day);
        if (byDay != null){
            return new Result(10002,"每天只能添加一次");
        }
        allEntity.setDay(day);
        allEntity.setTotalQuantity(allEntity.getSow()+allEntity.getSow());
        repository.save(allEntity);
        return new Result(10000,"添加成功");
    }

    @Override
    public Result update(IndexAllEntity allEntity) {

        repository.save(allEntity);
        return new Result(10000,"修改成功");
    }

    @Override
    public Result findAll() {
        repository.findAll();

        return null;
    }
}
