package com.huimv.production.service.impl;

import com.huimv.production.domain.MPlanImmunityEntity;
import com.huimv.production.domain.MTransferFattenEntity;
import com.huimv.production.repo.MTransferFattenEntityRepo;
import com.huimv.production.result.Result;
import com.huimv.production.service.MTransferChildcareService;
import com.huimv.production.service.MTransferFattentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/9 0009 17:43
 **/
@Service
public class MTransferFattentServiceImpl implements MTransferFattentService {
    @Autowired
    private MTransferFattenEntityRepo fattenEntityRepo;

    @Override
    public Result add(MTransferFattenEntity childcareEntity) {
        if (childcareEntity == null){
            return new Result(10002,"请输入参数");
        }
        try {
            fattenEntityRepo.save(childcareEntity);
            return new Result(10000,"添加成功");
        }catch (Exception e){
            return new Result(10001,"添加失败");
        }
    }

    @Override
    public Result remove(Integer[] ids) {
        if (ids == null || ids.length==0){
            return new Result(10002,"请选择要删除的数据");
        }
        try {
            for (Integer id : ids) {
                fattenEntityRepo.deleteById(id);
            }

            return new Result(10000,"删除成功");
        }catch (Exception e){
            return new Result(10001,"删除失败");
        }
    }

    @Override
    public Result update(MTransferFattenEntity childcareEntity) {
        if (childcareEntity == null){
            return new Result(10002,"请选择要修改的值");
        }
        try {
            fattenEntityRepo.save(childcareEntity);
            return new Result(10000,"修改成功");
        }catch (Exception e){
            return new Result(10001,"修改失败");
        }
    }

    @Override
    public Result findAll() {
        try {
            List<MTransferFattenEntity> all = fattenEntityRepo.findAll();
            return new Result(10000,"查询成功",all);
        }catch (Exception e){
            return new Result(10001,"查询失败",null);
        }
    }

    @Override
    public Result findAllBy() {

        try {
            List<MTransferFattenEntity> all = fattenEntityRepo.findAllByState(0);
            Map map = new HashMap();
            map.put("data",all);
            map.put("size",all.size());
            return new Result(10000,"查询成功",map);
        }catch (Exception e){
            return new Result(10001,"查询失败",null);
        }
    }
    
}
