package com.huimv.video.repo;

import com.huimv.video.domain.CameraInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.video.repo
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/4 0007 13:57
 **/
public interface CameraInfoRepo extends JpaRepository<CameraInfo,Integer> , JpaSpecificationExecutor<CameraInfo> {
//    @Query(nativeQuery = true,value = "select * from camera_info where name like %?1%")
    List<CameraInfo> findByNameLike(String name);


//    @Query(nativeQuery = true,value = "select * from camera_info where  area_id=?1")
    List<CameraInfo> findAllByAreaId(Integer areaId);

    @Modifying
    @Transactional
    @Query(nativeQuery = true,value = "DELETE FROM camera_info WHERE area_id=?1")
    void deleteByAreaId(Integer areaId);
}
